play.exceptions

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.exceptions.PlayException
        - - play.exceptions.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigurationException
    extends PlayException

Error in application.conf

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationException(java.lang.String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getErrorDescription()`
`java.lang.String` `getErrorTitle()`

### Methods inherited from class play.exceptions.PlayException

`getId, getInterestingStackTraceElement, getInterestingStrackTraceElement, getLineNumber, getMoreHTML, getSourceFile, isSourceAvailable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationException

    public ConfigurationException(java.lang.String message)

### Method Detail

#### getErrorDescription

    public java.lang.String getErrorDescription()

Specified by:
  `getErrorDescription` in class `PlayException`

#### getErrorTitle

    public java.lang.String getErrorTitle()

Specified by:
  `getErrorTitle` in class `PlayException`